Bug 1275435 - kernel 4.2 e1000e susceptible to hard lockups.
kernel 4.2 e1000e susceptible to hard lockups.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 18:04 EDT by Andy Wang
Modified: 2015-11-04 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-4.2.5-201.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 17:22:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2015-10-26 18:04:34 EDT
Description of problem:
Running kernel 4.2.3 results in hardlockups ever few hours. 
The symptoms match this thread:
https://lkml.org/lkml/2015/10/9/617
This is on a Thinkpad W520 which has the same Intel 82579LM ethernet interface as the W530.  I haven't figured out how to get a stack trace like the person on that thread did though.

Be nice to get 4.2.4 quickly, or patch this into 4.2.3.  Hard lockups kind of suck.
Comment 1 Josh Boyer 2015-10-26 20:43:24 EDT
4.2.4 was committed to git, but koji had space issues and the builds failed.  4.2.5 is already queued upstream and we're waiting on that.
Comment 2 Fedora Update System 2015-10-27 10:28:29 EDT
kernel-4.2.5-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5c899c64e2
Comment 3 Andy Wang 2015-10-28 14:10:00 EDT
I saw 4.2.4 had failed on koji and wasn't sure why, so that's what prompted me to report this, figuring that there might be other people who are seeing it.

Thanks for the updates though.  I've been working all day with 4.2.5-200 that I grabbed off koji and it hasn't died yet.
Comment 4 Fedora Update System 2015-10-28 23:11:21 EDT
kernel-4.2.5-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7784dc12e8
Comment 5 Fedora Update System 2015-11-01 19:26:44 EST
kernel-4.2.5-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7784dc12e8
Comment 6 Fedora Update System 2015-11-04 17:22:02 EST
kernel-4.2.5-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.